MOVIE(1)

NAME
movie, stills - algorithm animation

SYNOPSIS
movie [ -t termprog ] [ -mmemory ] [ file ]
stills [ files ... ]

DESCRIPTION

Movie converts a script in a movie language into an internal representation, then displays it in a window on a Teletype 5620, AT&T630, or X11 system (depending on which version has been compiled). If the filename is of the form file.s, movie creates the intermediate form in file.i, which will be used in subsequent calls if it is more recent than file.s. The options are:

-t termprog
    Load termprog instead of the default terminal program.

-mmem
    Use mem bytes of terminal memory instead of the default.

In the terminal, button 1 stops and starts the movie; button 2 adjusts view sizes and selects clicks; button 3 sets various parameters.

  Movie language
text options x y string. Text is centered and medium size by default; options: one of center ljust rjust above below, and one of small medium big bigbig. A leading quote is stripped from string, as is a trailinbg quote if a leading one is present.
line options x1 y1 x2 y2. Lines are solid by default; options: one of fat fatfat dotted dashed and one of -> <- <->.
box options xmin ymin xmax ymax. A box may filled.
circle options x1 y1 radius. Radius is measured in the x dimension. A circle may be filled.
Any text or geometrical object may be labeled with a name and colon. A subsequent appearance of a label in the same view erases the previous object with that label. erase label erases the object explicitly. clear erases all objects currently in the current view.
click optional name leaves a mark in the intermediate with this name; clicks are used to control stepping in a movie or to define frames for a set of stills.
A movie may consist of multiple independent views, each presented as a rectangular sub-window. view name associates subsequent objects with this view, until changed again. Labels and coordinates are local to views. If no view statements appear, there is a single implicit view def.view.
Comments follow #; blank lines are ignored.

Stills converts selected frames of a movie into commands for pic(1). Commands for stills begin with .begin stills and end with .end stills.

FILES
All files are in /usr/lib/movie.

Shell script to control conversion from script language to internal form.

C program that does the work.

Awk program to process stills language into
    pic(1).

Host end of the animation system.

terminal end.

Test whether one file is newer than another.

SEE ALSO
J. L. Bentley and B. W. Kernighan, A System for Algorithm Animation, CSTR 132, January, 1987.

BUGS
The 630 can only handle 65000 bytes of memory.